/* @import "_variables.scss"; */

.nav-text {
  display: inline-block;
  font-size: 1.75rem;
}
.footer-text {
   cursor: pointer;
}
.footer {
  position: relative;
  bottom: 0;
  height: 113px;
  width: 100%;
  z-index: 1020;
}
#page-container {
  position: relative;
  min-height: 100vh;
}
#content-wrap {
  padding-bottom: 113px;    /* Footer height */
}
#footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 113px;            /* Footer height */
}


#itemsList {
  border: solid;
  border-color: black;
  border-width: 0.15em;
  width: 99%;
  height: 100px;
}
#newAddress {
  border: solid;
  border-color: black;
  border-width: 0.15em;
  width: 100%;
}
#newPhoneNumber {
  border: solid;
  border-color: black;
  border-width: 0.15em;
  width: 100%;
}
#stores {
  width: 100%;
}

#message {
  border: solid;
  border-color: black;
}
#logInPopUp {
  margin-left: auto;
  margin-right: auto;
  background-color: grey;
}
#logInHeader {
  text-align: center;
}
#signUpHeader {
  text-align: center;
}
#userNameField {
  margin-left: 0.25em;
}
#addRequestButton {
  margin-left: auto;
  margin-right: auto;
}
#navAddRequest {
  border: none;
  background-color: transparent;
  font-size: 200%;
}
#navRequestBlock {
  color: #7A7A7A;
}
#navRequestBlock:hover {
  color: black;
}
#navAddRequest:hover {
  color: black;
}
#logInButton {
  margin-left: 40em;
  margin-right: auto;
}

.modal {
  overflow: auto;
}
#clientAgreement {
  position: absolute;
  right: 0;
  bottom: 0;
}

.request-buttons {
  float: right;
  margin-right: 2em;
  border: none;
  background-color: transparent;
  margin-bottom: auto;
  margin-top: auto;
}
.reques-dates {
  display: inline-block;
  margin-left: 2em;
}
.requests {
  color: #343a40;
  background-color: transparent;
  background-image: none;
  border: solid;
  font-size: 1.5em;
  border-color: var(--dark);

}
.requests:not(.requests-disabled):hover {
  color: #fff;
  background-color: #343a40;
  border-color: #343a40;
}
.requests:hover .request-buttons {
  color: #fff;
}
.pretty.p-switch .state:before {
  top: calc((0% - (95% - 1em)) - 16%);
}
.completedSwitch {
  font-size: 1em;
}
.collapse-title {
  font-size: 1.5em;
}
#pastChevron {
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  display: block;
}
#pastChevron.rotated {
  -webkit-transform : rotate(90deg);
  -moz-transform : rotate(90deg);
  -ms-transform : rotate(90deg);
  -o-transform : rotate(90deg);
  transform : rotate(90deg);
}
.requests-disabled {
  border-color: var(--gray);
  color: #84898C;
}

.toast-styles {
  position: absolute;
  top: 10px;
  right: 10px;
}
.toast-err-styles {
  background-color: #f8d7da;
  border-color: #f5c6cb;
}
.toast-header-err-styles {
  background-color: #f5c6cb;
  color: #721c24;
}
.toast-err-close {
  color: #721c24;
}
.toast-success-styles {
  background-color: #D3ECDA;
  border-color: #c3e6cb;
}
.toast-header-success-styles {
  background-color: #c3e6cb;
  color: #155724;
}
.toast-success-close {
  color: #155724;
}

@media screen and (max-width:499px) {
  #userNameField {
    margin-left: 1.3em;
  }
  #passwordField {
    margin-left: 1.3em;
  }
  #userName {
    margin-left: 2em;
  }
  #password {
    margin-left: 5em;
  }
  #logInButton {
    text-align: center;
    margin-left: 9em;
  }
  #signUpButton {
    margin-left: 9em;
  }
  #emailField {
    margin-left: 1.3em;
  }
  #firstPasswordField {
    margin-left: 1.3em;
  }
  #secondPasswordField {
    margin-left: 1.3em;
  }
  #email {
    margin-left: 7em;
  }
  #firstPassword {
    margin-left: 5em;
  }
  #secondPassword {
    margin-left: 0.7em;
  }
  .requests {
    font-size: 120%;
    background-color: white;
    color: black;
    margin-left: auto;
    margin-right: auto;
    /* width: 17em; */
    margin-top: 2em;
    /*border-radius: 10%;*/
  }
  .request-buttons {
    float: right;
    margin-right: 1em;
    background-color: transparent;
    margin-bottom: auto;
    margin-top: auto;
  }
  .request-dates {
    display: inline-block;
    margin-left: 1em;
  }
  .custom-nav-text {
    display: none;
  }
}
